
I suddenly became aware that I was outside of my body and looking down at it from the ceiling. I felt panic and tried to return to my body, but to no avail. I then noticed a blackness surrounding me with a light in the distance. As the light got closer the panic was replaced by love times-a-thousand. I communicated with whatever it was through thought. No words were spoken but I understood perfectly. I was informed that it wasn't my time. I felt like I was caught trying to cut class. It was like I was trying to get away with something, yet the Being had so much love and understanding like a parent has for a child. I pleaded not to return but the presence in the light reached out and guided me back into my body. As soon as I was back in my body, I cried and was angry that I couldn't stay.

Before this occurrence, I was experiencing kidney failure and had accepted death. After the experience, I showed no signs of ever having any kidney problems and my doctor had no explanation for my recovery. I am rather reluctant to be here on earth, but it wasn't my time apparently. The experience has left me with a heightened awareness I did not have prior.
